HMWKTextInternal::Token Struct Reference

Internal: class to store the token properties of a HMWKText. More...

## Public Member Functions

| Token ()
| Constructor. More...
| ~Token ()
| destructor More...

## Public Attributes

int | m_type
| the type More...
long | m_id
| the identificator More...
std::string | m_extra
| extra data, mainly for debugging More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: class to store the token properties of a HMWKText.

## Constructor & Destructor Documentation

HMWKTextInternal::Token::Token | ( |  | ) |

inline

Constructor.

HMWKTextInternal::Token::~Token | ( |  | ) |

inline

destructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

friend

operator<<

## Member Data Documentation

std::string HMWKTextInternal::Token::m_extra

extra data, mainly for debugging

Referenced by HMWKText::readToken().

long HMWKTextInternal::Token::m_id

the identificator

Referenced by HMWKText::readTextZone(), HMWKText::readToken(), and HMWKText::sendText().

int HMWKTextInternal::Token::m_type

the type

Referenced by HMWKText::readToken(), and HMWKText::sendText().

The documentation for this struct was generated from the following file:

- HMWKText.cxx